Package tigase.server

# Class MessageRouterConfig

java.lang.Object
tigase.server.MessageRouterConfig

public class MessageRouterConfig extends Object
Describe class MessageRouterConfig here.
Created: Fri Jan 6 14:54:21 2006

Author:
  Artur Hefczyc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DISCO_NAME_PROP_KEY`
  `static final String`
  `DISCO_NAME_PROP_VAL`
  `static final String`
  `DISCO_SHOW_VERSION_PROP_KEY`
  `static final boolean`
  `DISCO_SHOW_VERSION_PROP_VAL`
  `static final String`
  `LOCAL_ADDRESSES_PROP_KEY`
  `static final String`
  `MSG_RECEIVERS_NAMES_PROP_KEY`
  `static final String`
  `MSG_RECEIVERS_PROP_KEY`
  `static final String`
  `REGISTRATOR_NAMES_PROP_KEY`
  `static final String`
  `REGISTRATOR_PROP_KEY`
  `static final String`
  `UPDATES_CHECKING_INTERVAL_PROP_KEY`
  `static final long`
  `UPDATES_CHECKING_INTERVAL_PROP_VAL`
  `static final String`
  `UPDATES_CHECKING_PROP_KEY`
  `static final Boolean`
  `UPDATES_CHECKING_PROP_VAL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageRouterConfig(Map<String,Object> props)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DISCO_NAME_PROP_KEY

    public static final String DISCO_NAME_PROP_KEY
    See Also:
      - Constant Field Values

  - ### DISCO_SHOW_VERSION_PROP_KEY

    public static final String DISCO_SHOW_VERSION_PROP_KEY
    See Also:
      - Constant Field Values

  - ### LOCAL_ADDRESSES_PROP_KEY

    public static final String LOCAL_ADDRESSES_PROP_KEY
    See Also:
      - Constant Field Values

  - ### MSG_RECEIVERS_PROP_KEY

    public static final String MSG_RECEIVERS_PROP_KEY
    See Also:
      - Constant Field Values

  - ### REGISTRATOR_PROP_KEY

    public static final String REGISTRATOR_PROP_KEY
    See Also:
      - Constant Field Values

  - ### UPDATES_CHECKING_INTERVAL_PROP_KEY

    public static final String UPDATES_CHECKING_INTERVAL_PROP_KEY
    See Also:
      - Constant Field Values

  - ### UPDATES_CHECKING_INTERVAL_PROP_VAL

    public static final long UPDATES_CHECKING_INTERVAL_PROP_VAL
    See Also:
      - Constant Field Values

  - ### UPDATES_CHECKING_PROP_KEY

    public static final String UPDATES_CHECKING_PROP_KEY
    See Also:
      - Constant Field Values

  - ### MSG_RECEIVERS_NAMES_PROP_KEY

    public static final String MSG_RECEIVERS_NAMES_PROP_KEY
    See Also:
      - Constant Field Values

  - ### UPDATES_CHECKING_PROP_VAL

    public static final Boolean UPDATES_CHECKING_PROP_VAL

  - ### REGISTRATOR_NAMES_PROP_KEY

    public static final String REGISTRATOR_NAMES_PROP_KEY
    See Also:
      - Constant Field Values

  - ### DISCO_SHOW_VERSION_PROP_VAL

    public static final boolean DISCO_SHOW_VERSION_PROP_VAL
    See Also:
      - Constant Field Values

  - ### DISCO_NAME_PROP_VAL

    public static final String DISCO_NAME_PROP_VAL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageRouterConfig

    public MessageRouterConfig(Map<String,Object> props)